Products — Anomalia API
Search docs… &Cmd;K

Products

Manage the brand's product catalog.

GET /brands/:slug/products

List all products.

Responses
200Products
curl -X GET \
  https://anomalia.so/api/v1/brands/:slug/products \
  -H "Authorization: Bearer $TOKEN"
POST /brands/:slug/products

Add a new product.

Request Body
{ "title": "Gourmet Pizza", "pricing": "€14" }
Responses
201Created
curl -X POST \
  https://anomalia.so/api/v1/brands/:slug/products \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "title": "Gourmet Pizza", "pricing": "€14" }'
PUT /brands/:slug/products/:id

Update a product.

Request Body
{ "title": "Gourmet Pizza v2", "pricing": "€16" }
Responses
200Updated
curl -X PUT \
  https://anomalia.so/api/v1/brands/:slug/products/:id \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "title": "Gourmet Pizza v2", "pricing": "€16" }'
DELETE /brands/:slug/products/:id

Delete a product.

Responses
200Deleted
curl -X DELETE \
  https://anomalia.so/api/v1/brands/:slug/products/:id \
  -H "Authorization: Bearer $TOKEN"